* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

@keyframes scaleUp {
  0% {
    transform: scale(1); /* Initial size */
  }

  100% {
    transform: scale(1.2); /* Final size, adjust the scale value as needed */
  }
}

nav {
  margin-right: 5%;
}
.navigation-bar {
  position:fixed;
  display: flex; 
  flex-direction: row;
  justify-content: space-between;
  top: 0px; 
  height: 100px;
  width: 100%;
  background-color: rgb(255, 255, 255, 0.8);
}

.navigation-item-container {
  display: flex;
  flex-direction: row;
list-style: none;
margin-right: 5%;
margin-top: 20px;
}

.navigation-item-container li {
  margin: 3px 3px 3px 3px;
  color: #344563;
}

/* Apply the animation to the text */
.text1 {
  animation-name: scaleUp;
  animation-duration: 2s; /* Adjust the duration as needed */
  animation-timing-function: ease-in-out; /* Use a different timing function for different effects */
  animation-iteration-count: initial; /* Infinite loop, remove this line if you want it to animate only once */
  width: 100%;
  height: 150px;
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 700;
  font-size: 40px;
  line-height: 52px;
  margin-left: 0;
  display: flex;
  align-items: center;
  color: #172b4d;
  margin-top: 120px;
}

.projects-container {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  justify-content: center;
  max-width: 1200px;
  margin: 0 auto;
}

.logo-image {
  width: 100px;
}

.cards {
  background-color: #fff;
  border-radius: 8px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  padding: 20px;
  display: flex;
  flex-direction: column;
}

.project-title {
  font-size: 24px;
  margin: 10px 0;
  color: #172b4d;
}

.year {
  margin-top: 5px;
  color: #777;
}

.project-button-below {
  margin-top: auto;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  flex-wrap: wrap;
}

.built {
  font-size: 14px;
  margin-bottom: 5px;
}

.dev-list {
  display: flex;
  flex-direction: row;
  list-style: none;
  margin: 0;
  padding: 0;
  flex-wrap: wrap;
}

.dev-list li {
  font-size: 14px;
  color: #555;
}

.project-link {
  display: inline-block;
  background-color: #007bff;
  color: #fff;
  text-decoration: none;
  padding: 8px 16px;
  border-radius: 5px;
  margin-top: 10px;
}

.project-link:hover {
  background-color: #0056b3;
}

.collapsible {
  display: none;
}

.picture {
  width: 100%;
  height: 17rem;
}

.picture:hover {
  transform: scale(1.1); /* (150% zoom - Note: if the zoom is too large, it will go outside of the viewport) */
  transition: 500ms linear;
}

.collapsible:not(.collapsed) {
  display: flex;
  flex-direction: row;
  list-style: none;
  flex-wrap: wrap;
}

.collapsible li {
  background-color: ghostwhite;
  display: flex;
  flex-direction: row;
  align-items: center;
  margin: 2%;
}

.collapsible li p {
  margin-left: 15px;
}

.collapseContainer {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

body {
  background: #e5e5e5;
  width: 100%;
  overflow-x: hidden;
}

.tool {
  background: white;
  width: 100%;
}

.toolbar {
  left: 0;
  right: 0;
  top: 40px;
  bottom: 0;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  background: white;
}

.navulitems {
  position: fixed;
  left: -100%;
  top: 0;
  height: 100vh;
  width: 100%;
  background-image: url(Overlay.png);
  margin-top: 0;
  padding-top: 50px;
  opacity: 95%;
}

.navulitems li {
  color: #fff;
  font-style: normal;
  font-weight: 600;
  font-size: 32px;
  margin-top: 30px;
  line-height: 44px;
  display: flex;
  align-items: center;
  margin-left: 20px;
}

.logo {
  width: 100px;
  height: 40px;
  left: 12px;
  padding-bottom: 10px;
  font-family: "Poppins", sans-serif;
  text-align: center;
}

.icons {
  position: absolute;
  top: 40px;
  width: 40px;
  height: 40px;
  right: 30px;
  border-radius: 8px;
  margin-left: 302px;
}

.skill_header {
  color: #172b4d;
  margin: 20px 5px 5px 5px;
  padding: 5px 5px 5px 5px;
  width: 150px;
}

.project-type-year {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
}

.project-details {
  font-style: normal;
  font-weight: 400;
  font-size: 15px;
  line-height: 24px;
  margin-top: 10px;
  color: #344563;
}

.hamburger {
  left: 0;
}

a {
  text-decoration: none;
}

.hamx {
  display: none;
}

.adress {
  position: fixed;
  top: 30px;
  right: 15px;
  width: 12px;
  height: 12px;
  color: white;
  margin-right: 10%;
}

.headline {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: center;
  background-image: url(./Headerbig.png);
  background-size: cover;
  background-repeat: no-repeat;
  margin-left: 10%;
  margin-right: 10%;
}

.header-shapes {
  width: 100%;
  height: 587.15px;
  left: -34px;
  top: 104px;
  display: flex;
  align-items: center;
}

.text2 {
  width: 85%;
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
}

.let {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0;
  gap: 8px;
  width: 117px;
  height: 24px;
  font-family: "Poppins", sans-serif;
  font-style: normal;
  font-weight: 500;
  font-size: 16px;
  line-height: 24px;
  color: #7f8cff;
  margin: 2% 0 0 0;
}

.socialmediaicons {
  display: flex;
  gap: 20px;
  list-style-type: none;
  padding-left: 0;
  margin: 10% 0 10% 0;
}

.h1 {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 8px;
  width: 117px;
  height: 24px;
  flex: none;
}

.social {
  height: 20px;
  width: 18px;
}

.card {
  padding: 16px 16px 25px 16px;
  border: 1px solid #dfe1e6;
  border-radius: 16px;
  background-color: white;
  width: 100%;
  height: 552px;
}

.snapshoot {
  display: none;
}

.card__content--heading {
  font-style: normal;
  font-weight: 700;
  font-size: 32px;
  line-height: 44px;
  color: #172b4d;
}

.card__item--heading {
  font-size: 13px;
  line-height: 16px;
  text-transform: uppercase;
  font-weight: 800;
  list-style: none;
}

.card__content--item1 {
  display: flex;
  align-items: center;
  list-style-type: none;
  gap: 15px;
  color: #7a869a;
}

.card__content--item2 {
  display: flex;
  align-items: center;
  list-style-type: none;
  gap: 15px;
  margin-bottom: 10px;
}

.card__content--desc {
  font-style: normal;
  font-weight: 400;
  font-size: 15px;
  line-height: 24px;
}

.tech__btn {
  padding: 4px 12px;
  background: #ebebff;
  border-radius: 8px;
  color: #396df2;
  margin: 5px;
}

.technologies {
  padding: 4px 12px;
  background: #ebebff;
  border-radius: 8px;
  color: #396df2;
  width: 92%;
}

.btn {
  padding: 16px;
  background: transparent;
  border: 1px solid #dfe1e6;
  border-radius: 16px;
  color: #396df2;
}

.btn:hover {
  background: #6070ff;
  color: #fff;
}

.btn:focus {
  background: #2230d2;
  color: #fff;
}

.btn:disabled {
  background: #fff;
  color: #5e6c84;
}

.works {
  flex-direction: column;
  padding: 114px 24px;
  gap: 88px;
  width: 100%;
  left: 0;
}

.h2 {
  width: 100%;
  height: 36px;
  font-style: normal;
  font-weight: 700;
  font-size: 32px;
  line-height: 44px;
  color: #172b4d;
  flex: none;
  order: 0;
  flex-grow: 0;
}

.p {
  width: 100%;
  height: 76px;
  font-style: normal;
  font-weight: 400;
  font-size: 15px;
  line-height: 24px;
  color: #344563;
  flex: none;
  order: 1;
  flex-grow: 0;
}

.canopy {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0;
  gap: 12px;
  width: 90%;
  height: 32px;
  flex: none;
  order: 1;
  flex-grow: 0;
}

.html {
  padding: 4px 12px;
  background: #ebebff;
  border-radius: 8px;
  order: 0;
  flex-grow: 0;
  color: #396df2;
  margin: 5px 5px 5px 5px;
}

.css {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 4px 12px;
  width: 45px;
  height: 24px;
  background: #ebebff;
  border-radius: 8px;
  flex: none;
  order: 1;
  flex-grow: 0;
}

.javascript {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 4px 12px;
  width: 89px;
  height: 24px;
  background: #ebebff;
  border-radius: 8px;
  flex: none;
  order: 2;
  flex-grow: 0;
}

.button {
  box-sizing: border-box;
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 12px;
  gap: 10px;
  width: 124px;
  height: 48px;
  left: 0;
  top: calc(50% - 48px / 2);
  border: 1px solid #6070ff;
  border-radius: 8px;
}

.tox1 {
  width: 90%;
  height: 220px;
  border-radius: 8px;
  flex: none;
  order: 0;
  flex-grow: 0;
}

.mul2 {
  width: 90%;
  height: 220px;
  border-radius: 8px;
  flex: none;
  order: 0;
  flex-grow: 0;
}

.ton21 {
  width: 90%;
  height: 220px;
  border-radius: 8px;
  flex: none;
  order: 0;
  flex-grow: 0;
}

.mul21 {
  width: 90%;
  height: 220px;
  border-radius: 8px;
  flex: none;
  order: 0;
  flex-grow: 0;
}

.about {
  display: flex;
  flex-direction: column;
  background-color: white;
  margin-top: 100px;
  padding-left: 30px;
}

.tech-skills {
  margin-bottom: 10%;
}

.aboutsocialmediaicons {
  display: flex;
  flex-direction: row;
  justify-content: flex-start;
  gap: 30px;
  list-style: none;
  margin: 3% 0;
}

.aheading {
  width: 90%;
  height: 101px;
  font-style: normal;
  font-weight: 700;
  font-size: 40px;
  line-height: 52px;
  display: flex;
  align-items: center;
  color: #172b4d;
}

.ades {
  width: 85%;
  font-style: normal;
  font-weight: 400;
  font-size: 16px;
  line-height: 24px;
  color: #344563;
  flex: none;
  order: 1;
  flex-grow: 0;
  margin: 3% 0%;
}

.aget {
  width: 138px;
  height: 24px;
  font-style: normal;
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
  display: flex;
  align-items: center;
  text-align: center;
  letter-spacing: 0.03em;
  color: #396df2;
  flex: none;
  order: 0;
  flex-grow: 0;
}

.lan {
  padding-top: 10px;
  font-size: 20px;
  line-height: 24px;
  color: #000;
  list-style: none;
}

.im {
  display: flex;
  flex-direction: row;
  font-weight: 500;
  font-size: 15px;
  line-height: 20px;
  color: #253858;
  list-style: none;
  background: #f7f7f9;
  padding-top: 0;
  padding-left: 5px;
  padding-bottom: 0;
  align-content: center;
  margin-top: 10px;
  justify-content: start;
}

.imm {
  display: flex;
  flex-direction: column;
  align-content: center;
}

.About__skills {
  list-style: none;
}

.disable1 {
  margin-top: -8px;
  margin-right: -200px;
  padding-right: 0;
}

.disable2 {
  margin-top: -8px;
  margin-right: -200px;
  padding-right: 0;
}

.disable3 {
  margin-top: -8px;
  margin-right: -200px;
  padding-right: 0;
}

.lan1 {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding-top: 0;
}

.imagess {
  padding-bottom: 0;
}

.wordss {
  padding-left: 10px;
}

.contact-form {
  top: 4710px;
  padding-right: 30px;
  margin-top: 150px;
  background: #6070ff;
}

.form_items {
  display: flex;
  flex-direction: column;
  text-decoration: none;
  margin-top: 100px;
  text-align: center;
  align-items: center;
}

.form_items_1 {
  list-style-type: none;
}

.btnform {
  padding: 16px;
  border: 1px solid #dfe1e6;
  border-radius: 16px;
  color: #6070ff;
  background: white;
  justify-content: flex-start;
  font-style: normal;
  font-weight: 500;
  font-size: 17px;
  line-height: 24px;
  display: flex;
  align-items: center;
  text-align: center;
  letter-spacing: 0.03em;
  margin-top: 20px;
}

.btnform:hover {
  background: #6070ff;
  color: #fff;
}

.btnform:focus {
  background: #2230d2;
  color: #fff;
}

.btnform:disabled {
  background: #fff;
  color: #5e6c84;
}

.form_items_1b {
  list-style-type: none;
  align-items: center;
  text-align: center;
}

.formtextarea {
  height: 170px;
  border-radius: 8px;
  align-items: center;
  display: flex;
  border: 1px solid #cfd8dc;
  margin-top: 20px;
  padding-top: 16px;
  width: 275px;
}

.formtext {
  height: 48px;
  left: 0;
  top: 0;
  border-radius: 8px;
  align-items: center;
  display: flex;
  border: 1px solid #cfd8dc;
  margin-bottom: 16px;
  width: 275px;
}

.formemail {
  height: 48px;
  border-radius: 8px;
  align-items: center;
  display: flex;
  border: 1px solid #cfd8dc;
  margin-bottom: 16px;
  width: 275px;
}

.contact-title {
  display: flex;
  align-items: center;
  text-align: center;
  color: #fff;
  font-style: normal;
  font-weight: 700;
  font-size: 40px;
  line-height: 52px;
}

.contact-text {
  font-style: normal;
  font-size: 20px;
  line-height: 28px;
  color: #ebebff;
  margin: 5% 0;
  font-weight: 400;
  width: 100%;
}

/* Pop-up */
.card-container {
  position: fixed;
  top: 0;
  transform: scale(0.1);
  visibility: hidden;
  flex-direction: column;
  justify-content: center;
  margin: 10px 10px 10px 10px;
  padding: 10px 10px 10px 10px;
  background: white;
  border: 1px solid #dfe1e6;
  border-radius: 16px;
  color: #172b4d;
  z-index: 3;
}

.card-container-title {
  flex-direction: row;
  justify-content: space-between;
}

.mobiletonic {
  width: 100%;
  height: 220px;
  border-radius: 8px;
}

.btncntim {
  padding-left: 10px;
  margin-top: -20px;
}

.btncontainer {
  padding: 16px;
  background: transparent;
  border: 1px solid #dfe1e6;
  border-radius: 16px;
  color: #396df2;
  flex-direction: row;
  gap: 10px;
  align-items: baseline;
  justify-content: space-between;
}

.btncontainer:focus {
  background: #2230d2;
  color: #fff;
}

.btncontainer:hover {
  background: #6070ff;
  color: #fff;
}

.btncontainer:disabled {
  background: #fff;
  color: #5e6c84;
}

.tonicx {
  position: absolute;
  top: 10px;
  right: 20px;
  width: 24px;
  height: 24px;
  margin-right: 30px;
  margin-top: 15px;
}

.cardDesktop {
  flex-direction: column;
}

.cardDesktopitems {
  flex-direction: row;
  font-size: 13px;
  line-height: 16px;
  list-style: none;
  justify-content: flex-start;
}

.item-button {
  flex-direction: row;
}

.bcontainer {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
}


/* ------------Desktop Version----------- */

@media screen and (min-width: 768px) {
  body {
    background: #e5e5e5;
    overflow-x: hidden;
  }

  .projects {
    display: flex;
    flex-direction: row;
  }

  .technologies {
    width: 200px;
  }

  .project2 {
    flex-direction: row-reverse;
  }

  .project4 {
    flex-direction: row-reverse;
  }

  .project6 {
    flex-direction: row-reverse;
  }

  .project-info {
    margin-left: 5%;
    margin-right: 5%;
  }

  .socialmediaicons {
    margin: 30% 50%;
  }

  .tool {
    width: 100%;
    top: 1px;
    border-bottom-left-radius: 150px;
  }

  .toolbar {
    display: flex;
    margin-right: 100px;
    padding-right: 100px;
    border-bottom-left-radius: 150px;
  }

  .icons {
    display: none;
  }

  .navu {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }

  .navulitems {
    font-style: normal;
    font-size: 15px;
    line-height: 20px;
    display: flex;
    flex-direction: row;
    list-style-type: none;
    padding-right: 100px;
  }

  .navli {
    color: #344563;
    margin: 5px;
  }

  .headline {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-top: 50px;
  }

  .text1 {
    flex-wrap: wrap;
    width: 80%;
    margin-left: 50px;
    padding-top: 20px;
  }

  .text2 {
    flex-wrap: wrap;
    width: 60%;
    margin-left: 50px;
    margin-right: 20%;
    padding-top: 40px;
    margin-top: 5px;
  }

  .let {
    margin-left: 50px;
    margin-top: 5px;
    padding-top: 20px;
  }

  .aboutsocialmediaicons {
    display: flex;
    gap: 20px;
    margin-left: 0;
    list-style-type: none;
  }

  .card {
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 496px;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background-color: white;
    padding-left: 100px;
    margin-left: 200px;
  }

  .card__image {
    width: 100%;
    height: 448px;
    left: 24px;
    top: 24px;
    border-radius: 8px;
  }

  .card__content {
    width: 100%;
    height: 465px;
    left: 590px;
    top: 24px;
    padding: 24px;
    gap: 24px;
  }

  .works {
    display: flex;
    flex-direction: column;
    width: 100%;
  }

  .aboutsec {
    background: white;
  }

  .aget {
    margin-top: 20px;
  }

  .about {
    margin-top: 100px;
    padding-top: 10px;
    display: flex;
    flex-direction: row;
    padding-right: 100px;
    background-color: white;
    width: 100%;
  }

  .about__content {
    align-content: flex-start;
    margin-left: 10%;
  }

  .About__skills {
    flex-direction: row;
    color: #344563;
    margin-right: 5%;
  }

  .lan1 {
    padding-top: 50px;
  }

  .imm {
    flex-direction: row;
    justify-content: space-between;
  }

  .im {
    flex-direction: column;
  }

  .contact-form {
    border-top-left-radius: 150px;
    background: #6070ff;
    height: 846px;
  }

  .contackback {
    margin-top: 10px;
    padding-top: 2px;
    align-content: stretch;
    flex-direction: column;
    align-items: center;
    text-align: center;
    background-image: url(./contact\ form\ background\ shapes.png);
    background-repeat: no-repeat;
    background-position-y: 65px;
    background-position-x: 168px;
  }

  .form_items {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    flex-wrap: wrap;
    align-content: stretch;
  }

  .btnform {
    margin-bottom: 70px;
  }

  .contact-text {
    width: 400px;
  }

  .cardDesktop {
    display: flex;
    flex-direction: row;
  }

  .bcontainer {
    flex-direction: row;
  }

  .btncontainer {
    flex-direction: row;
    align-items: center;
    gap: 10px;
    width: 142px;
    height: 40px;
  }

  .collapseContainer {
    margin: 10%;
  }

  /* contact-validation */
}

/* popup.window */
.star {
  transform: scale(1);
  visibility: visible;
}

.blur {
  filter: blur(20px);
  position: fixed;
}

/* contact-validation */

#error-message {
  width: 100%;
  background-color: #fff;
  color: rgb(205, 0, 0);
  text-align: center;
  font-family: var(--main-font);
  font-size: 12px;
  margin-top: 5px;
  border: 1px solid rgb(205, 0, 0);
  border-radius: 4px;
  padding: 2%;
}

.flex {
  display: flex;
}

.blue {
  color: #344563;
}
